#273 out of memory in donutlab sliverserver

Need_by_1.0
closed-fixed
4
2015-02-11
2005-07-18
No

FIXED
An apparently random failure of the sliver server is,
upon closer analysis, apparently a failure of garbage
collection. Running the helloworld program 3 times is
enough to make the sliverserver out of memory. This
expresses itself in a socket exception.

Since I can demo despite this problem, it is lower
priority. but heaven help us if, someday, the PlanetLab
people take us up on our challenge to put a
sliverserver on every planetlab node :-)
-----------------------------------
Source for helloworld:
println("hello running")
introducer.onTheAir()

def accountURI := <file:account.cap-account>.getText()
def account :=
introducer.sturdyFromURI(accountURI).getRcvr()

when (account <- getBalance()) -> d2(balance) :void{
println("balance: " + balance)
} catch p2{println("acct prob: " + p2)}

def kioskURI := <file:kiosk.cap-kiosk>.getText()
def kiosk := introducer.sturdyFromURI(kioskURI).getRcvr()

def hello :=
"def helloSliver {
to runSliver(d1, d2) :any {
return def hello(name, println) :void {println
<-(`Hello from ` + name)}
}
}"

def delegateHello(server, name) :void {
def helloSliver := server <- makeSliver(hello, account
<- offer(50))
helloSliver <- (name, println)
when (helloSliver) -> done(h) :void {
println("sliver made")
} catch prob {println("sliver problem: " + prob)}
}

def sliverServers := kiosk <-
getAdvertisedServers("sliverServer")

when (sliverServers) -> done(servers) :void {
println("got slivers: " + servers.size())
for i => each in sliverServers {
delegateHello(each, i)
}
} catch prob {println ("no sliverservers" + prob)}

println("hello waiting for servers")
interp.blockAtTop()
--------------
trace log from the sliver server after 3 runs of helloworld
=== 2004-10-13T16:29:30.041Z
(PendingEvent.report:PendingEvent.java:109) WRN
causality: Problem in turn <<Vat newServerVat in <runs
in newServerVat>>,195>:
--vvvv--
Delete <atomic: <file:c:/Documents and
Settings/MARCSTGR/Desktop/CapDeskDemo/donutServicesDemo/sliverServer1/slivers/Sliver1.vat>>
first

- static E#require(boolean, Object)
. <import:org.erights.e.elib.prim.E>.require(false,
<...timeMachine$3>)
@ require/2:
<jar:file:/C:/elang/e.jar!/org/erights/e/elang/interp/require.emaker#:span::15:11::15:17>
- org.erights.e.elang.interp.require$require0__C#run/2:
<jar:file:/C:/elang/e.jar!/org/erights/e/elang/interp/require.emaker#:span::14:7::14:7>
. <require0>(false, <...timeMachine$3>)
@ run/2:
<jar:file:/C:/elang/e.jar!/org/erights/e/extern/persist/makeTimeMachineAuthor.emaker#:span::166:23::166:23>
-
org.erights.e.extern.persist.makeTimeMachineAuthor$makeTimeMachineAuthor__C$makeTimeMachine__C$timeMachine__C#createAs/1:
<jar:file:/C:/elang/e.jar!/org/erights/e/extern/persist/makeTimeMachineAuthor.emaker#:span::164:15::164:22>
. <forming>.createAs(<atomic: <file:c:/Documents and
Settings/MARCSTGR/Desktop/CapDeskDemo/donutServicesDemo/sliverServer1/slivers/Sliver1.vat>>)

java.lang.RuntimeException: Delete <atomic:
<file:c:/Documents and
Settings/MARCSTGR/Desktop/CapDeskDemo/donutServicesDemo/sliverServer1/slivers/Sliver1.vat>>
first
at
org.erights.e.meta.java.lang.ThrowableGuardSugar.subCoerceR(ThrowableGuardSugar.java:62)
at
org.erights.e.elib.base.ClassDesc.tryCoerceR(ClassDesc.java:352)
at
org.erights.e.elib.slot.BaseAuditor.coerce(BaseAuditor.java:60)
at org.erights.e.elib.prim.E.as(E.java:531)
at org.erights.e.elib.prim.E.as(E.java:512)
at org.erights.e.elib.prim.E.asRTE(E.java:566)
at org.erights.e.elib.prim.E.require(E.java:605)
at sun.reflect.GeneratedMethodAccessor41.invoke(Unknown
Source)
at
sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown
Source)
at java.lang.reflect.Method.invoke(Unknown Source)
at
org.erights.e.elib.prim.StaticMethodNode.innerExecute(StaticMethodNode.java:115)
at
org.erights.e.elib.prim.JavaMemberNode.execute(JavaMemberNode.java:183)
at
org.erights.e.elib.prim.Selector.callIt(Selector.java:84)
at
org.erights.e.elang.evm.CallExpr.subEval(CallExpr.java:132)
at
org.erights.e.elang.evm.EMethod.execute(EMethod.java:174)
at
org.erights.e.elang.evm.EMethodNode.execute(EMethodNode.java:136)
at
org.erights.e.elib.prim.Selector.callIt(Selector.java:99)
at
org.erights.e.elang.evm.CallExpr.subEval(CallExpr.java:132)
at org.erights.e.elang.evm.SeqExpr.subEval(SeqExpr.java:97)
at
org.erights.e.elang.evm.EMethod.execute(EMethod.java:174)
at
org.erights.e.elang.evm.EMethodNode.execute(EMethodNode.java:136)
at org.erights.e.elib.prim.E.callAll(E.java:167)
at
org.erights.e.elib.vat.PendingDelivery.innerRun(PendingDelivery.java:102)
at
org.erights.e.elib.vat.PendingEvent.run(PendingEvent.java:76)
at
org.erights.e.elib.vat.HeadlessRunner.run(HeadlessRunner.java:176)
at java.lang.Thread.run(Unknown Source)

--^^^^--

=== 2004-10-13T16:29:30.061Z
(PendingEvent.report:PendingEvent.java:109) WRN
causality: Problem in turn <<Vat newServerVat in <runs
in newServerVat>>,197>:
--vvvv--
Must be saved

- static E#require(boolean, Object)
. <import:org.erights.e.elib.prim.E>.require(false,
<...timeMachine$5>)
@ require/2:
<jar:file:/C:/elang/e.jar!/org/erights/e/elang/interp/require.emaker#:span::15:11::15:17>
- org.erights.e.elang.interp.require$require0__C#run/2:
<jar:file:/C:/elang/e.jar!/org/erights/e/elang/interp/require.emaker#:span::14:7::14:7>
. <require0>(false, <...timeMachine$5>)
@ run/2:
<jar:file:/C:/elang/e.jar!/org/erights/e/extern/persist/makeTimeMachineAuthor.emaker#:span::203:27::203:27>
- Thrower#run(RuntimeException)
. throw(problem: Must be saved)
@ run/1:
<jar:file:/C:/elang/e.jar!/org/erights/e/extern/persist/makeTimeMachineAuthor.emaker#:span::217:25::217:25>
-
org.erights.e.extern.persist.makeTimeMachineAuthor$makeTimeMachineAuthor__C$makeTimeMachine__C$timeMachine__C#save/0:
<jar:file:/C:/elang/e.jar!/org/erights/e/extern/persist/makeTimeMachineAuthor.emaker#:span::201:15::201:18>
. <forming>.save()

java.lang.RuntimeException: Must be saved
at
org.erights.e.meta.java.lang.ThrowableGuardSugar.subCoerceR(ThrowableGuardSugar.java:62)
at
org.erights.e.elib.base.ClassDesc.tryCoerceR(ClassDesc.java:352)
at
org.erights.e.elib.slot.BaseAuditor.coerce(BaseAuditor.java:60)
at org.erights.e.elib.prim.E.as(E.java:531)
at org.erights.e.elib.prim.E.as(E.java:512)
at org.erights.e.elib.prim.E.asRTE(E.java:566)
at org.erights.e.elib.prim.E.require(E.java:605)
at sun.reflect.GeneratedMethodAccessor41.invoke(Unknown
Source)
at
sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown
Source)
at java.lang.reflect.Method.invoke(Unknown Source)
at
org.erights.e.elib.prim.StaticMethodNode.innerExecute(StaticMethodNode.java:115)
at
org.erights.e.elib.prim.JavaMemberNode.execute(JavaMemberNode.java:183)
at
org.erights.e.elib.prim.Selector.callIt(Selector.java:84)
at
org.erights.e.elang.evm.CallExpr.subEval(CallExpr.java:132)
at
org.erights.e.elang.evm.EMethod.execute(EMethod.java:174)
at
org.erights.e.elang.evm.EMethodNode.execute(EMethodNode.java:136)
at
org.erights.e.elib.prim.Selector.callIt(Selector.java:99)
at
org.erights.e.elang.evm.CallExpr.subEval(CallExpr.java:132)
at org.erights.e.elang.evm.SeqExpr.subEval(SeqExpr.java:97)
at
org.erights.e.elang.evm.CatchExpr.subEval(CatchExpr.java:123)
at
org.erights.e.elang.evm.EMethod.execute(EMethod.java:174)
at
org.erights.e.elang.evm.EMethodNode.execute(EMethodNode.java:136)
at org.erights.e.elib.prim.E.callAll(E.java:167)
at
org.erights.e.elib.vat.PendingDelivery.innerRun(PendingDelivery.java:102)
at
org.erights.e.elib.vat.PendingEvent.run(PendingEvent.java:76)
at
org.erights.e.elib.vat.HeadlessRunner.run(HeadlessRunner.java:176)
at java.lang.Thread.run(Unknown Source)

--^^^^--

=== 2004-10-13T16:29:37.782Z
(CapTPConnection.killConnection:CapTPConnection.java:1212)
WRN
captp: lost net.captp.jcomm.CapTPConnection@1853b23
--vvvv--
Connection reset

# lost net.vattp.data.VatTPConnection@73930e
to 192.168.1.2:4742|tpxylflhlg4bflsei5knclhrzbiczsru
searchpath=192.168.1.2:4739,192.168.0.1:4739,192.168.79.1:4739
state=7

java.net.SocketException: Connection reset
at java.net.SocketInputStream.read(Unknown Source)
at net.vattp.data.RecvThread.fillArray(RecvThread.java:281)
at
net.vattp.data.RecvThread.readAndProcessMessage(RecvThread.java:392)
at net.vattp.data.RecvThread.run(RecvThread.java:701)

--^^^^--

=== 2004-10-13T16:29:37.792Z
(CapTPConnection.killConnection:CapTPConnection.java:1212)
WRN
captp: lost net.captp.jcomm.CapTPConnection@1ed8c20
--vvvv--
Connection reset

# lost net.vattp.data.VatTPConnection@ad8f2b
to 192.168.1.2:4748|tpxylflhlg4bflsei5knclhrzbiczsru
searchpath=192.168.1.2:4739,192.168.0.1:4739,192.168.79.1:4739
state=7

java.net.SocketException: Connection reset
at java.net.SocketInputStream.read(Unknown Source)
at net.vattp.data.RecvThread.fillArray(RecvThread.java:281)
at
net.vattp.data.RecvThread.readAndProcessMessage(RecvThread.java:392)
at net.vattp.data.RecvThread.run(RecvThread.java:701)

--^^^^--

=== 2004-10-13T16:31:06.600Z
(PendingEvent.report:PendingEvent.java:109) WRN
causality: Problem in turn <<Vat newServerVat in <runs
in newServerVat>>,195>:
--vvvv--
Delete <atomic: <file:c:/Documents and
Settings/MARCSTGR/Desktop/CapDeskDemo/donutServicesDemo/sliverServer1/slivers/Sliver2.vat>>
first

- static E#require(boolean, Object)
. <import:org.erights.e.elib.prim.E>.require(false,
<...timeMachine$3>)
@ require/2:
<jar:file:/C:/elang/e.jar!/org/erights/e/elang/interp/require.emaker#:span::15:11::15:17>
- org.erights.e.elang.interp.require$require0__C#run/2:
<jar:file:/C:/elang/e.jar!/org/erights/e/elang/interp/require.emaker#:span::14:7::14:7>
. <require0>(false, <...timeMachine$3>)
@ run/2:
<jar:file:/C:/elang/e.jar!/org/erights/e/extern/persist/makeTimeMachineAuthor.emaker#:span::166:23::166:23>
-
org.erights.e.extern.persist.makeTimeMachineAuthor$makeTimeMachineAuthor__C$makeTimeMachine__C$timeMachine__C#createAs/1:
<jar:file:/C:/elang/e.jar!/org/erights/e/extern/persist/makeTimeMachineAuthor.emaker#:span::164:15::164:22>
. <forming>.createAs(<atomic: <file:c:/Documents and
Settings/MARCSTGR/Desktop/CapDeskDemo/donutServicesDemo/sliverServer1/slivers/Sliver2.vat>>)

java.lang.RuntimeException: Delete <atomic:
<file:c:/Documents and
Settings/MARCSTGR/Desktop/CapDeskDemo/donutServicesDemo/sliverServer1/slivers/Sliver2.vat>>
first
at
org.erights.e.meta.java.lang.ThrowableGuardSugar.subCoerceR(ThrowableGuardSugar.java:62)
at
org.erights.e.elib.base.ClassDesc.tryCoerceR(ClassDesc.java:352)
at
org.erights.e.elib.slot.BaseAuditor.coerce(BaseAuditor.java:60)
at org.erights.e.elib.prim.E.as(E.java:531)
at org.erights.e.elib.prim.E.as(E.java:512)
at org.erights.e.elib.prim.E.asRTE(E.java:566)
at org.erights.e.elib.prim.E.require(E.java:605)
at sun.reflect.GeneratedMethodAccessor41.invoke(Unknown
Source)
at
sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown
Source)
at java.lang.reflect.Method.invoke(Unknown Source)
at
org.erights.e.elib.prim.StaticMethodNode.innerExecute(StaticMethodNode.java:115)
at
org.erights.e.elib.prim.JavaMemberNode.execute(JavaMemberNode.java:183)
at
org.erights.e.elib.prim.Selector.callIt(Selector.java:84)
at
org.erights.e.elang.evm.CallExpr.subEval(CallExpr.java:132)
at
org.erights.e.elang.evm.EMethod.execute(EMethod.java:174)
at
org.erights.e.elang.evm.EMethodNode.execute(EMethodNode.java:136)
at
org.erights.e.elib.prim.Selector.callIt(Selector.java:99)
at
org.erights.e.elang.evm.CallExpr.subEval(CallExpr.java:132)
at org.erights.e.elang.evm.SeqExpr.subEval(SeqExpr.java:97)
at
org.erights.e.elang.evm.EMethod.execute(EMethod.java:174)
at
org.erights.e.elang.evm.EMethodNode.execute(EMethodNode.java:136)
at org.erights.e.elib.prim.E.callAll(E.java:167)
at
org.erights.e.elib.vat.PendingDelivery.innerRun(PendingDelivery.java:102)
at
org.erights.e.elib.vat.PendingEvent.run(PendingEvent.java:76)
at
org.erights.e.elib.vat.HeadlessRunner.run(HeadlessRunner.java:176)
at java.lang.Thread.run(Unknown Source)

--^^^^--

=== 2004-10-13T16:31:06.850Z
(PendingEvent.report:PendingEvent.java:109) WRN
causality: Problem in turn <<Vat newServerVat in <runs
in newServerVat>>,197>:
--vvvv--
Must be saved

- static E#require(boolean, Object)
. <import:org.erights.e.elib.prim.E>.require(false,
<...timeMachine$5>)
@ require/2:
<jar:file:/C:/elang/e.jar!/org/erights/e/elang/interp/require.emaker#:span::15:11::15:17>
- org.erights.e.elang.interp.require$require0__C#run/2:
<jar:file:/C:/elang/e.jar!/org/erights/e/elang/interp/require.emaker#:span::14:7::14:7>
. <require0>(false, <...timeMachine$5>)
@ run/2:
<jar:file:/C:/elang/e.jar!/org/erights/e/extern/persist/makeTimeMachineAuthor.emaker#:span::203:27::203:27>
- Thrower#run(RuntimeException)
. throw(problem: Must be saved)
@ run/1:
<jar:file:/C:/elang/e.jar!/org/erights/e/extern/persist/makeTimeMachineAuthor.emaker#:span::217:25::217:25>
-
org.erights.e.extern.persist.makeTimeMachineAuthor$makeTimeMachineAuthor__C$makeTimeMachine__C$timeMachine__C#save/0:
<jar:file:/C:/elang/e.jar!/org/erights/e/extern/persist/makeTimeMachineAuthor.emaker#:span::201:15::201:18>
. <forming>.save()

java.lang.RuntimeException: Must be saved
at
org.erights.e.meta.java.lang.ThrowableGuardSugar.subCoerceR(ThrowableGuardSugar.java:62)
at
org.erights.e.elib.base.ClassDesc.tryCoerceR(ClassDesc.java:352)
at
org.erights.e.elib.slot.BaseAuditor.coerce(BaseAuditor.java:60)
at org.erights.e.elib.prim.E.as(E.java:531)
at org.erights.e.elib.prim.E.as(E.java:512)
at org.erights.e.elib.prim.E.asRTE(E.java:566)
at org.erights.e.elib.prim.E.require(E.java:605)
at sun.reflect.GeneratedMethodAccessor41.invoke(Unknown
Source)
at
sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown
Source)
at java.lang.reflect.Method.invoke(Unknown Source)
at
org.erights.e.elib.prim.StaticMethodNode.innerExecute(StaticMethodNode.java:115)
at
org.erights.e.elib.prim.JavaMemberNode.execute(JavaMemberNode.java:183)
at
org.erights.e.elib.prim.Selector.callIt(Selector.java:84)
at
org.erights.e.elang.evm.CallExpr.subEval(CallExpr.java:132)
at
org.erights.e.elang.evm.EMethod.execute(EMethod.java:174)
at
org.erights.e.elang.evm.EMethodNode.execute(EMethodNode.java:136)
at
org.erights.e.elib.prim.Selector.callIt(Selector.java:99)
at
org.erights.e.elang.evm.CallExpr.subEval(CallExpr.java:132)
at org.erights.e.elang.evm.SeqExpr.subEval(SeqExpr.java:97)
at
org.erights.e.elang.evm.CatchExpr.subEval(CatchExpr.java:123)
at
org.erights.e.elang.evm.EMethod.execute(EMethod.java:174)
at
org.erights.e.elang.evm.EMethodNode.execute(EMethodNode.java:136)
at org.erights.e.elib.prim.E.callAll(E.java:167)
at
org.erights.e.elib.vat.PendingDelivery.innerRun(PendingDelivery.java:102)
at
org.erights.e.elib.vat.PendingEvent.run(PendingEvent.java:76)
at
org.erights.e.elib.vat.HeadlessRunner.run(HeadlessRunner.java:176)
at java.lang.Thread.run(Unknown Source)

--^^^^--

=== 2004-10-13T16:31:58.935Z
(CapTPConnection.killConnection:CapTPConnection.java:1212)
WRN
captp: lost net.captp.jcomm.CapTPConnection@156d46f
--vvvv--
Connection reset

# lost net.vattp.data.VatTPConnection@209fca
to 192.168.1.2:4760|hazdcxb5i4b25legw5tgrcfpfmaydviu
searchpath=192.168.1.2:4751,192.168.0.1:4751,192.168.79.1:4751
state=7

java.net.SocketException: Connection reset
at java.net.SocketInputStream.read(Unknown Source)
at net.vattp.data.RecvThread.fillArray(RecvThread.java:281)
at
net.vattp.data.RecvThread.readAndProcessMessage(RecvThread.java:392)
at net.vattp.data.RecvThread.run(RecvThread.java:701)

--^^^^--

=== 2004-10-13T16:31:58.945Z
(CapTPConnection.killConnection:CapTPConnection.java:1212)
WRN
captp: lost net.captp.jcomm.CapTPConnection@6f0f11
--vvvv--
Connection reset

# lost net.vattp.data.VatTPConnection@1689f7c
to 192.168.1.2:4755|hazdcxb5i4b25legw5tgrcfpfmaydviu
searchpath=192.168.1.2:4751,192.168.0.1:4751,192.168.79.1:4751
state=7

java.net.SocketException: Connection reset
at java.net.SocketInputStream.read(Unknown Source)
at net.vattp.data.RecvThread.fillArray(RecvThread.java:281)
at
net.vattp.data.RecvThread.readAndProcessMessage(RecvThread.java:392)
at net.vattp.data.RecvThread.run(RecvThread.java:701)

--^^^^--

=== 2004-10-13T16:34:27.999Z
(PendingEvent.report:PendingEvent.java:109) WRN
causality: Problem in turn <<Vat newServerVat in <runs
in newServerVat>>,122>:
--vvvv--
null

- Loader#get(String)
. <import:org.erights.e.elib.*>.get("serial.deSubgraphKit")
@ get/1:
<jar:file:/C:/elang/e.jar!/org/erights/e/elib/serial/makeSurgeon.emaker#:span::6:21::6:47>
- Loader#get(String)
. <import:org.erights.e.elib.*>.get("serial.makeSurgeon")
@ get/1:
<jar:file:/C:/elang/e.jar!/org/erights/e/extern/persist/initTimeMachine.emaker#:span::4:19::4:43>
- Loader#get(String)
.
<import:*>.get("org.erights.e.extern.persist.initTimeMachine")
@ get/1
- LazyEvalSlot#getValue()
. <lazy eval slot>.getValue()

java.lang.OutOfMemoryError

--^^^^--

=== 2004-10-13T16:35:12.674Z
(PendingEvent.report:PendingEvent.java:109) WRN
causality: Problem in turn <<Vat newServerVat in <runs
in newServerVat>>,166>:
--vvvv--
null

- Loader#get(String)
.
<import:org.erights.*>.get("e.elang.coord.OrderedRegionMaker")
@ get/1:
<jar:file:/C:/elang/e.jar!/org/erights/e/elang/coord/OrderedSpaceMaker.emaker#:span::6:26::6:67>
- Loader#get(String)
.
<import:org.erights.e.elang.*>.get("coord.OrderedSpaceMaker")
@ get/1
-
com.hp.donutLab.makeBudgetingRefMon$makeBudgetingRefMon__C#run/3:
<jar:file:/C:/elang/e.jar!/com/hp/donutLab/makeBudgetingRefMon.emaker#:span::10:23::10:23>
. <makeBudgetingRefMon>(50, <Far ref>, <println>)

java.lang.OutOfMemoryError

--^^^^--

=== 2004-10-13T16:35:13.755Z
(StartUpProtocol.processMessage:StartUpProtocol.java:1233)
ERR
comm: Exception during startup for
net.vattp.data.DataPath@9e31f0|192.168.1.2:4781|t7pz3di3vlkmqbhi6hmrxcb7wlqxn75b,
startupState=7
--vvvv--
null

- Loader#get(String)
.
<import:org.erights.*>.get("e.elang.coord.OrderedRegionMaker")
@ get/1:
<jar:file:/C:/elang/e.jar!/org/erights/e/elang/coord/OrderedSpaceMaker.emaker#:span::6:26::6:67>
- Loader#get(String)
.
<import:org.erights.e.elang.*>.get("coord.OrderedSpaceMaker")
@ get/1
-
com.hp.donutLab.makeBudgetingRefMon$makeBudgetingRefMon__C#run/3:
<jar:file:/C:/elang/e.jar!/com/hp/donutLab/makeBudgetingRefMon.emaker#:span::10:23::10:23>
. <makeBudgetingRefMon>(50, <Far ref>, <println>)

java.lang.OutOfMemoryError

--^^^^--

=== 2004-10-13T16:35:13.845Z
(StartUpProtocol.processMessage:StartUpProtocol.java:1233)
ERR
comm: Exception during startup for
net.vattp.data.DataPath@95306c|192.168.1.2:4780|lyloqnttnrmq4ehkt26gucumqm75htkc,
startupState=7
--vvvv--
null

- Loader#get(String)
.
<import:org.erights.*>.get("e.elang.coord.OrderedRegionMaker")
@ get/1:
<jar:file:/C:/elang/e.jar!/org/erights/e/elang/coord/OrderedSpaceMaker.emaker#:span::6:26::6:67>
- Loader#get(String)
.
<import:org.erights.e.elang.*>.get("coord.OrderedSpaceMaker")
@ get/1
-
com.hp.donutLab.makeBudgetingRefMon$makeBudgetingRefMon__C#run/3:
<jar:file:/C:/elang/e.jar!/com/hp/donutLab/makeBudgetingRefMon.emaker#:span::10:23::10:23>
. <makeBudgetingRefMon>(50, <Far ref>, <println>)

java.lang.OutOfMemoryError

--^^^^--

=== 2004-10-13T16:35:14.686Z
(CapTPConnection.killConnection:CapTPConnection.java:1212)
WRN
captp: lost net.captp.jcomm.CapTPConnection@976434
--vvvv--
Software caused connection abort: socket write error

# lost net.vattp.data.VatTPConnection@f3e1fd
to 192.168.1.2:4779|usmfuex675rod7wwgo2clr7rhmkfo4ml
searchpath=192.168.1.2:4779,192.168.0.1:4779,192.168.79.1:4779
state=7

java.net.SocketException: Software caused connection
abort: socket write error
at java.net.SocketOutputStream.socketWrite0(Native Method)
at java.net.SocketOutputStream.socketWrite(Unknown Source)
at java.net.SocketOutputStream.write(Unknown Source)
at
net.vattp.data.SendThread.writeAndRecordProgress(SendThread.java:904)
at net.vattp.data.SendThread.sendBytes(SendThread.java:851)
at
net.vattp.data.SendThread.flushElements(SendThread.java:406)
at
net.vattp.data.SendThread.addElement(SendThread.java:228)
at net.vattp.data.SendThread.run(SendThread.java:645)

--^^^^--

=== 2004-10-13T16:35:14.696Z
(PendingEvent.report:PendingEvent.java:109) WRN
causality: Problem in turn <<Vat start in <runs in
start>>,1993>:
--vvvv--
Failed: done

- DelayedRedirector#__reactToLostClient(Throwable)
. <a DelayedRedirector>.__reactToLostClient(problem:
<SocketException: Software caused connection abort:
socket write error>)

java.lang.RuntimeException: Failed: done
at org.erights.e.develop.assertion.T.fail(T.java:80)
at
org.erights.e.elib.ref.EProxyResolver.getOptRef(EProxyResolver.java:112)
at
org.erights.e.elib.ref.EProxyResolver.resolveRace(EProxyResolver.java:182)
at
org.erights.e.elib.ref.EProxyResolver.smash(EProxyResolver.java:207)
at
org.erights.e.elib.ref.DelayedRedirector.__reactToLostClient(DelayedRedirector.java:114)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native
Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown
Source)
at
sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown
Source)
at java.lang.reflect.Method.invoke(Unknown Source)
at
org.erights.e.elib.prim.InstanceMethodNode.innerExecute(InstanceMethodNode.java:113)
at
org.erights.e.elib.prim.JavaMemberNode.execute(JavaMemberNode.java:183)
at org.erights.e.elib.prim.E.callAll(E.java:167)
at
org.erights.e.elib.vat.PendingDelivery.innerRun(PendingDelivery.java:102)
at
org.erights.e.elib.vat.PendingEvent.run(PendingEvent.java:76)
at
org.erights.e.elib.vat.HeadlessRunner.run(HeadlessRunner.java:176)
at java.lang.Thread.run(Unknown Source)

--^^^^--

=== 2004-10-13T16:35:14.696Z
(PendingEvent.report:PendingEvent.java:109) WRN
causality: Problem in turn <<Vat start in <runs in
start>>,1994>:
--vvvv--
Failed: done

- DelayedRedirector#__reactToLostClient(Throwable)
. <a DelayedRedirector>.__reactToLostClient(problem:
<SocketException: Software caused connection abort:
socket write error>)

java.lang.RuntimeException: Failed: done
at org.erights.e.develop.assertion.T.fail(T.java:80)
at
org.erights.e.elib.ref.EProxyResolver.getOptRef(EProxyResolver.java:112)
at
org.erights.e.elib.ref.EProxyResolver.resolveRace(EProxyResolver.java:182)
at
org.erights.e.elib.ref.EProxyResolver.smash(EProxyResolver.java:207)
at
org.erights.e.elib.ref.DelayedRedirector.__reactToLostClient(DelayedRedirector.java:114)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native
Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown
Source)
at
sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown
Source)
at java.lang.reflect.Method.invoke(Unknown Source)
at
org.erights.e.elib.prim.InstanceMethodNode.innerExecute(InstanceMethodNode.java:113)
at
org.erights.e.elib.prim.JavaMemberNode.execute(JavaMemberNode.java:183)
at org.erights.e.elib.prim.E.callAll(E.java:167)
at
org.erights.e.elib.vat.PendingDelivery.innerRun(PendingDelivery.java:102)
at
org.erights.e.elib.vat.PendingEvent.run(PendingEvent.java:76)
at
org.erights.e.elib.vat.HeadlessRunner.run(HeadlessRunner.java:176)
at java.lang.Thread.run(Unknown Source)

--^^^^--

=== 2004-10-13T16:35:14.696Z
(PendingEvent.report:PendingEvent.java:109) WRN
causality: Problem in turn <<Vat start in <runs in
start>>,1995>:
--vvvv--
Failed: done

- DelayedRedirector#__reactToLostClient(Throwable)
. <a DelayedRedirector>.__reactToLostClient(problem:
<SocketException: Software caused connection abort:
socket write error>)

java.lang.RuntimeException: Failed: done
at org.erights.e.develop.assertion.T.fail(T.java:80)
at
org.erights.e.elib.ref.EProxyResolver.getOptRef(EProxyResolver.java:112)
at
org.erights.e.elib.ref.EProxyResolver.resolveRace(EProxyResolver.java:182)
at
org.erights.e.elib.ref.EProxyResolver.smash(EProxyResolver.java:207)
at
org.erights.e.elib.ref.DelayedRedirector.__reactToLostClient(DelayedRedirector.java:114)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native
Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown
Source)
at
sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown
Source)
at java.lang.reflect.Method.invoke(Unknown Source)
at
org.erights.e.elib.prim.InstanceMethodNode.innerExecute(InstanceMethodNode.java:113)
at
org.erights.e.elib.prim.JavaMemberNode.execute(JavaMemberNode.java:183)
at org.erights.e.elib.prim.E.callAll(E.java:167)
at
org.erights.e.elib.vat.PendingDelivery.innerRun(PendingDelivery.java:102)
at
org.erights.e.elib.vat.PendingEvent.run(PendingEvent.java:76)
at
org.erights.e.elib.vat.HeadlessRunner.run(HeadlessRunner.java:176)
at java.lang.Thread.run(Unknown Source)

--^^^^--

=== 2004-10-13T16:35:14.696Z
(PendingEvent.report:PendingEvent.java:109) WRN
causality: Problem in turn <<Vat start in <runs in
start>>,1997>:
--vvvv--
Failed: done

- DelayedRedirector#__reactToLostClient(Throwable)
. <a DelayedRedirector>.__reactToLostClient(problem:
<SocketException: Software caused connection abort:
socket write error>)

java.lang.RuntimeException: Failed: done
at org.erights.e.develop.assertion.T.fail(T.java:80)
at
org.erights.e.elib.ref.EProxyResolver.getOptRef(EProxyResolver.java:112)
at
org.erights.e.elib.ref.EProxyResolver.resolveRace(EProxyResolver.java:182)
at
org.erights.e.elib.ref.EProxyResolver.smash(EProxyResolver.java:207)
at
org.erights.e.elib.ref.DelayedRedirector.__reactToLostClient(DelayedRedirector.java:114)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native
Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown
Source)
at
sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown
Source)
at java.lang.reflect.Method.invoke(Unknown Source)
at
org.erights.e.elib.prim.InstanceMethodNode.innerExecute(InstanceMethodNode.java:113)
at
org.erights.e.elib.prim.JavaMemberNode.execute(JavaMemberNode.java:183)
at org.erights.e.elib.prim.E.callAll(E.java:167)
at
org.erights.e.elib.vat.PendingDelivery.innerRun(PendingDelivery.java:102)
at
org.erights.e.elib.vat.PendingEvent.run(PendingEvent.java:76)
at
org.erights.e.elib.vat.HeadlessRunner.run(HeadlessRunner.java:176)
at java.lang.Thread.run(Unknown Source)

--^^^^--

=== 2004-10-13T16:35:14.696Z
(PendingEvent.report:PendingEvent.java:109) WRN
causality: Problem in turn <<Vat start in <runs in
start>>,1998>:
--vvvv--
Failed: done

- DelayedRedirector#__reactToLostClient(Throwable)
. <a DelayedRedirector>.__reactToLostClient(problem:
<SocketException: Software caused connection abort:
socket write error>)

java.lang.RuntimeException: Failed: done
at org.erights.e.develop.assertion.T.fail(T.java:80)
at
org.erights.e.elib.ref.EProxyResolver.getOptRef(EProxyResolver.java:112)
at
org.erights.e.elib.ref.EProxyResolver.resolveRace(EProxyResolver.java:182)
at
org.erights.e.elib.ref.EProxyResolver.smash(EProxyResolver.java:207)
at
org.erights.e.elib.ref.DelayedRedirector.__reactToLostClient(DelayedRedirector.java:114)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native
Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown
Source)
at
sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown
Source)
at java.lang.reflect.Method.invoke(Unknown Source)
at
org.erights.e.elib.prim.InstanceMethodNode.innerExecute(InstanceMethodNode.java:113)
at
org.erights.e.elib.prim.JavaMemberNode.execute(JavaMemberNode.java:183)
at org.erights.e.elib.prim.E.callAll(E.java:167)
at
org.erights.e.elib.vat.PendingDelivery.innerRun(PendingDelivery.java:102)
at
org.erights.e.elib.vat.PendingEvent.run(PendingEvent.java:76)
at
org.erights.e.elib.vat.HeadlessRunner.run(HeadlessRunner.java:176)
at java.lang.Thread.run(Unknown Source)

--^^^^--

=== 2004-10-13T16:35:14.696Z
(PendingEvent.report:PendingEvent.java:109) WRN
causality: Problem in turn <<Vat start in <runs in
start>>,1999>:
--vvvv--
Failed: done

- DelayedRedirector#__reactToLostClient(Throwable)
. <a DelayedRedirector>.__reactToLostClient(problem:
<SocketException: Software caused connection abort:
socket write error>)

java.lang.RuntimeException: Failed: done
at org.erights.e.develop.assertion.T.fail(T.java:80)
at
org.erights.e.elib.ref.EProxyResolver.getOptRef(EProxyResolver.java:112)
at
org.erights.e.elib.ref.EProxyResolver.resolveRace(EProxyResolver.java:182)
at
org.erights.e.elib.ref.EProxyResolver.smash(EProxyResolver.java:207)
at
org.erights.e.elib.ref.DelayedRedirector.__reactToLostClient(DelayedRedirector.java:114)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native
Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown
Source)
at
sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown
Source)
at java.lang.reflect.Method.invoke(Unknown Source)
at
org.erights.e.elib.prim.InstanceMethodNode.innerExecute(InstanceMethodNode.java:113)
at
org.erights.e.elib.prim.JavaMemberNode.execute(JavaMemberNode.java:183)
at org.erights.e.elib.prim.E.callAll(E.java:167)
at
org.erights.e.elib.vat.PendingDelivery.innerRun(PendingDelivery.java:102)
at
org.erights.e.elib.vat.PendingEvent.run(PendingEvent.java:76)
at
org.erights.e.elib.vat.HeadlessRunner.run(HeadlessRunner.java:176)
at java.lang.Thread.run(Unknown Source)

--^^^^--

Followups

Comment Date By
Fixed in 0.8.33n by memoizing EExpr trees; both before
and after applying Dean's transformer. 2005-Jan-04
01:12 markm

Discussion

  • Steve Jenson

    Steve Jenson - 2005-07-18
    • status: open --> open-fixed
     
  • Steve Jenson

    Steve Jenson - 2005-07-18
    • status: open-fixed --> closed-fixed
     
  • Mark Samuel Miller

    • assigned_to: nobody --> caplet
     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks